VMware Player 12.x < 12.5.9 / 14.x < 14.1.1 Multiple Vulnerabilities (VMSA-2018-0004) (VMSA-2018-0005) (Spectre)

Medium Nessus Plugin ID 105783

Synopsis

A virtualization application installed on the remote Windows host is affected by multiple vulnerabilities.

Description

The version of VMware Player installed on the remote Windows host is 14.x prior to 14.1.1 or 12.x prior to 12.5.9. It is, therefore, missing security updates that add hypervisor-assisted guest remediation for a speculative execution vulnerability (CVE-2017-5715). These updates will allow guest operating systems to use hardware support for branch target mitigation and require guest OS security updates as detailed in VMware Knowledge Base article 52085.
It is also affected by use-after-free and integer-overflow vulnerabilities.

Note that hypervisor-specific remediation's for this vulnerability were released as part of VMSA-2018-0002.

Solution

Upgrade to VMware Player version 12.5.9 / 14.1.1 or later.

See Also

https://www.vmware.com/us/security/advisories/VMSA-2018-0004.html

https://www.vmware.com/security/advisories/VMSA-2018-0005.html

https://kb.vmware.com/s/article/52085

https://spectreattack.com/

Plugin Details

Severity: Medium

ID: 105783

File Name: vmware_player_win_vmsa_2018_0004.nasl

Version: 1.6

Type: local

Agent: windows

Family: Windows

Published: 2018/01/12

Modified: 2018/08/06

Dependencies: 31728

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.7

Temporal Score: 3.7

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:N/A:N

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSSv3

Base Score: 5.6

Temporal Score: 5.1

Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:vmware:player

Required KB Items: SMB/Registry/Enumerated, installed_sw/VMware Player

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/01/09

Vulnerability Publication Date: 2018/01/09

Reference Information

CVE: CVE-2017-5715, CVE-2017-4949, CVE-2017-4950

BID: 102376, 102489, 102490

VMSA: 2018-0004, 2018-0005

IAVA: 2018-A-0020